2 Replies Latest reply on Jun 27, 2005 3:32 PM by Michael Barker

    JBoss Mail now requires JBoss 4.0.2.

    Michael Barker Apprentice

      What?! You crazy fool?!

      I have upgraded the hibernate code to use Hibernate 3. Also there is a problem with AOP transactions in JBoss 4.0.1 where a NPE gets thrown whenever a transacted method is called. The AOP problem kinda encouraged the hibernate code change (4.0.2 includes hibernate 3). And yes until now AOP transaction where not actually getting created.

      However there is a problem with the hibernate deployer in that it does not include all of the hibernate dependencies http://jira.jboss.com/jira/browse/JBAS-1786. Therefore I have included an ant task called "fix-hibernate-dependencies" which copies the latest commons-collections class to the deployer subdirectory in the jboss server. This task will need integration into cheese at some point (TODO).

      If you would like to use JBoss Mail on JBoss 4.x version prior to 4.0.2 then you need to the following:
      1. Download and install the latest JBoss AOP deployer for your JVM.
      2. Switch your hibernate deployer to hibernate 3. http://wiki.jboss.org/wiki/Wiki.jsp?page=JBossHibernateSwitching
      3. Run the fix-hibernate-dependencies task.

      If there is enough need I can automate this in the build scripts.